[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator *(Tmatrix3_single, Tvector3_single): Tvector3_single

Give product of a three-dimendional single precision matrix and vector

## Declaration

Source position: matrix.pp line 575

`operator operator *(Tmatrix3_single, Tvector3_single): Tvector3_single(`
`const m: Tmatrix3_single;`
`const v: Tvector3_single`
`):Tvector3_single;`

## Description

This operator allows you to multipy a three-dimensional single precision matrices with a three dimensional single precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.

Documentation generated on: Feb 26 2014